---
- name: Install the Development Packages (including C, C++ and GFortran)
  yum:
     name: "@Development Tools"
     state: present
     update_cache: yes

- name: install the basic packages through package manager
  package:
    name:
      - perl
      - php
      - emacs
      - vim
      - git
      - svn
      - xorg-x11-xauth
    state: present

- name: Install virtualenv module
  pip:
    name: ipython
    

- name: Allow X11 Forwarding
  lineinfile:
    path: /etc/ssh/sshd_config
    regexp: '^X11Forwarding no'
    line: 'X11Forwarding yes'

- name: restart sshd
  service:
    name: sshd
    state: restarted


